Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82345 - setserial close_delay and closing_wait change randomly w/ autoconfig option
Summary: setserial close_delay and closing_wait change randomly w/ autoconfig option
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-21 15:11 UTC by Lawson Reilly
Modified: 2007-04-18 16:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:25 UTC


Attachments (Terms of Use)

Description Lawson Reilly 2003-01-21 15:11:58 UTC
Description of problem:

when using "setserial -av /dev/ttyS0 autoconfig", the reported closing_wait and
close_delay values change apparently randomly.  If setting close_delay or
closing_wait using setserial, the values that get assigned are not the values
that I used in the setserial command.  For example:

[root@morpheous exe]# setserial -av /dev/ttyS0 close_delay 50
/dev/ttyS0, Line 0, UART: 16550A, Port: 0x03f8, IRQ: 4
        Baud_base: 115200, close_delay: 256, divisor: 0
        closing_wait: 15360
        Flags: spd_normal skip_test
Version-Release number of selected component (if applicable):


How reproducible: very easy to reproduce


Steps to Reproduce:
1. setserial -av /dev/ttyS0 autoconfig
2.
3.
    
Actual results:
/dev/ttyS0, Line 0, UART: 16550A, Port: 0x03f8, IRQ: 4
	Baud_base: 115200, close_delay: 6707, divisor: 0
	closing_wait: 1571
	Flags: spd_normal skip_test




Expected results:
/dev/ttyS0, Line 0, UART: 16550A, Port: 0x03f8, IRQ: 4
	Baud_base: 115200, close_delay: 50, divisor: 0
	closing_wait: 3000
	Flags: spd_normal skip_test



Additional info:
System is an unmodified Dell Precision 220 running 2.4.18-19.8.0 SMP kernel

setserial does not seem to be working properly with either serial port.  We
discovered this while troubleshooting a failure to read data from a serial
device (read() returns 0 bytes) using code that works fine on Red Hat 7.2.

update:  this problem also occurs on a Dell Precision 530 server running Red Hat
Linux 8.0 Server kernel, so it's not machine-specific.

Comment 1 Tim Waugh 2003-01-21 17:49:53 UTC
Works fine on this Dell Precision 420.  Kernel thing?

Comment 2 Bugzilla owner 2004-09-30 15:40:25 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.